---
title: XRViewport.width
slug: Web/API/XRViewport/width
tags:
  - API
  - AR
  - Property
  - Read-only
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRViewport
  - augmented
  - size
  - viewport
  - width
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_Header}}</p>

<p><span class="seoSummary">The read-only {{domxref("XRViewport")}} property <strong><code>width</code></strong> specifies the width of the viewport, in pixels, onto the drawing surface the 3D scene is to be rendered into.</span> This is defined using this property along with the viewport's {{domxref("XRViewport.height", "height")}} and its origin given by its properties {{domxref("XRViewport.x", "x")}} and {{domxref("XRViewport.y", "y")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>width</em> = <em>xrViewport</em>.width;</pre>

<h3 id="Value">Value</h3>

<p>The viewport's width in pixels.</p>

<h2 id="Examples">Examples</h2>

<p>See the main {{domxref("XRViewport")}} page for examples.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrviewport-width","XRViewport.width")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRViewport.width")}}</div>
